<ng-template appPlaceholder></ng-template>
<div class="row">
  <div class="col-xs-12 col-md-6 col-md-offset-3">
    <!--    <app-alert [message]="error" *ngIf="error" (close)="onHandleError()"></app-alert>-->
    <div *ngIf="isLoading" style="text-align:center;">
      <app-loading-spinner></app-loading-spinner>
    </div>
    <form #authForm="ngForm" (ngSubmit)="onSubmit(authForm)" *ngIf="!isLoading">
      <div class="form-group">
        <label for="email">E-Mail</label>
        <input type="email" class="form-control" id="email" ngModel name="email" required email>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input type="password" class="form-control" id="password" ngModel name="password" required minlength="6">
      </div>
      <div>
        <button class="btn btn-primary" type="submit"
                [disabled]="!authForm.valid">{{isLoginMode ? 'Login' : 'SignUp' }}</button>
        |
        <button class="btn btn-primary" (click)="onSwitchMode()" type="button">Switch
          to {{isLoginMode ? 'SignUp' : 'Login'}}</button>
      </div>
    </form>
  </div>
</div>
